Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.editors
Class MultiPageEditorContributor

    java.lang.Object
      |
      +--org.eclipse.ui.part.EditorActionBarContributor
            |
            +--org.eclipse.ui.part.MultiPageEditorActionBarContributor
                  |
                  +--APStudio.editors.MultiPageEditorContributor

All Implemented Interfaces:
  org.eclipse.ui.IEditorActionBarContributor

public class MultiPageEditorContributor
extends org.eclipse.ui.part.MultiPageEditorActionBarContributor

Manages the installation/deinstallation of global actions for multi-page editors. Responsible for the redirection of global actions to the active editor. Multi-page contributor replaces the contributors for the individual editors in the multi-page editor.

Constructor Summary
`MultiPageEditorContributor()` Creates a multi-page contributor.

Method Summary
`void` | `contributeToMenu(org.eclipse.jface.action.IMenuManager manager)`
`void` | `contributeToToolBar(org.eclipse.jface.action.IToolBarManager manager)`
`void` | `setActivePage(org.eclipse.ui.IEditorPart part)`

Methods inherited from class org.eclipse.ui.part.MultiPageEditorActionBarContributor
`setActiveEditor`

Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor
`contributeToStatusLine, dispose, getActionBars, getPage, init, init`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiPageEditorContributor

    public MultiPageEditorContributor()

  Creates a multi-page contributor.

Method Detail

### setActivePage

    public void setActivePage(org.eclipse.ui.IEditorPart part)

  Specified by:
    `setActivePage` in class `org.eclipse.ui.part.MultiPageEditorActionBarContributor`

### contributeToMenu

    public void contributeToMenu(org.eclipse.jface.action.IMenuManager manager)

  Overrides:
    `contributeToMenu` in class `org.eclipse.ui.part.EditorActionBarContributor`

### contributeToToolBar

    public void contributeToToolBar(org.eclipse.jface.action.IToolBarManager manager)

  Overrides:
    `contributeToToolBar` in class `org.eclipse.ui.part.EditorActionBarContributor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD